schemaVersion: "2.0.0"
commandTests:
  - name: "terraform is in path"
    command: "which"
    args: ["terraform"]
    expectedOutput: ["/bin/terraform"]
  - name: "terraform is executable"
    command: "terraform"
    args: ["--version"]
    expectedOutput: ["Terraform v[0-9]+\\.[0-9]+\\.[0-9]+"]
  - name: "tflint"
    command: "which"
    args: ["tflint"]
    expectedOutput: ["/usr/local/bin/tflint"]
  - name: "tflint is executable"
    command: "tflint"
    args: ["--version"]
    expectedOutput: ["TFLint version [0-9]+\\.[0-9]+\\.[0-9]+"]
  - name: "terrascan"
    command: "which"
    args: ["terrascan"]
    expectedOutput: ["/usr/local/bin/terrascan"]
  - name: "terrascan is executable"
    command: "terrascan"
    args: ["version"]
    expectedOutput: ["version: v[0-9]+\\.[0-9]+\\.[0-9]+"]
  - name: "terraform-docs"
    command: "which"
    args: ["terraform-docs"]
    expectedOutput: ["/usr/local/bin/terraform-docs"]
  - name: "terraform-docs is executable"
    command: "terraform-docs"
    args: ["version"]
    expectedOutput: ["terraform-docs version v[0-9]+\\.[0-9]+\\.[0-9]+"]
